<?php

declare(strict_types=1);

namespace App\Framework\Database\Migration;

use App\Framework\Database\ConnectionInterface;

interface Migration
{
    public function up(ConnectionInterface $connection): void;

    public function down(ConnectionInterface $connection): void;

    public function getVersion(): string;

    public function getDescription(): string;
}
